<?
//
//                    BBCLONE CONFIGURATION FILE
//                    ==========================
//
// This file is part of BBclone (The PHP web counter on steroids)
//
// $Header: /cvsroot/bbclone/bbclone/conf/config.php,v 1.12 2002/12/26 12:53:48 jdurden Exp $
// 
// Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
// distributed with this library)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or   
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// =========================================================================

// DO NOT TOUCH THE LINES BETWEEN ":BEGIN_DONT_TOUCH:" AND ":END_DONT_TOUCH:" !
//:BEGIN_DONT_TOUCH:
if (!defined("_CONFIG"))
{
  define("_CONFIG",1);
}
else
{
  return;
}
//:END_DONT_TOUCH:

// The URL of the main site of which you record this access stats
// If empty, this one doesn't appear in the navigation bar of all the bbclone pages
// Example: $BBC_MAINSITE = "http://www.mywebhost.com/somewhere/";
$BBC_MAINSITE = "";

// Determine if the configuration is visible or not through show_config.php
$BBC_SHOW_CONFIG = 1; 

// The title appearing into the title bar which is present in all the bbclone pages
// Understandable macros are:
//       %SERVER : server name
//       %DATE : the current date
// Html tags are also allowed.
$BBC_TITLEBAR = "Stats for %SERVER generated the %DATE";

// The international code of language you want to use by default, 
// in case it's not supported default will switch
// to english. For available languages please look inside of the language
// directory language/, since its contents is pretty self-explanatory :)
$BBC_LANGUAGE = "es";

// Time intervall (in seconds)  between 2 "counted" visits from a same IP/AGENT.
// Default the emerging standard : 30 min
$BBC_MAXTIME = 1800;

// How many entries do you want to be *individually*
// accessible ?
// Default is 100
// do not set it higher than 500 (which is useless, anyway)
$BBC_MAXVISIBLE = 50;

// How many extension do want to see classified ?
// Do not set it negative! Of course...
$BBC_MAXEXTENSION = 10;

// How many pages do want to see classified in the global stats ?
$BBC_MAXPAGE = 10;

// How many origins do want to see classified in the global stats ?
$BBC_MAXORIGIN = 10;

// Which IP adress (or subnet) do you want to ignore ?
// Format : <IP adress or subnet>,<another IP adress or subnet>
// Insert a comma "," between each IP
// Default is most "local" IP
// $BBC_IGNOREIP = "127.0, 192.168";

// The variable $BBC_DETAILED_STAT_FIELDS determines the fields to display in show_detailed.php
// Possible field names are: 
//   id, time, visits, dns (hostname), referer, os, browser, ext (extension)
// The order of the field names is important.
// Non-present fields will be missing on the statistics page.
//
// Format : fieldname1, fieldname2, ...
// Examples:
// $BBC_DETAILED_STAT_FIELDS = "id, time, visits, ext, os, browser";
// $BBC_DETAILED_STAT_FIELDS = "date, ext, browser, os, hostname";
$BBC_DETAILED_STAT_FIELDS = "id, time, visits, ext, dns, referer, os, browser";

// You can set here the align style of the main statistics page. 
// Possible values are left, right, center
$BBC_GENERAL_ALIGN_STYLE = "center";

// Here after, the different sizes of the fonts presents in the BBClone pages
// Size are defined by an integer between 0 (smallest size) and 6 (highest)
$BBC_TITLE_SIZE    = 5;
$BBC_SUBTITLE_SIZE = 4;
$BBC_TEXT_SIZE     = 2;

?>
