<?php
/*
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/constants.php,v 1.12 2002/12/26 21:18:35 jdurden Exp $
 * 
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or   
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* File: 	constants.php
 * Summary: 	Contain the important variables of all the bbclone files.
 * Description:
 * Remark: Macros ared defined with an underscore as first character;
 *         Variables with an alphabetical letter as first character.
 */

// This variable must be correctly set according to the place 
// where you put bbclone. Note: You have to terminate this string by a slash "/".

if (!defined("_CONSTANTS"))
{
  define("_CONSTANTS",1);
}
else
{
  return;
}

if (!empty($GLOBALS["BBCLONE_DIR"]))
{
  $GLOBALS["BBC_ROOT_PATH"] = $GLOBALS["BBCLONE_DIR"];
}
else
{
  $GLOBALS["BBC_ROOT_PATH"] = "";
}

// The version number of BBCLONE
$GLOBALS["BBC_VERSION"] = "0.31";

// These variables are for internal use only.
// Change them if you know exactly what you're doing.
$GLOBALS["BBC_LIB_PATH"]  = $GLOBALS["BBC_ROOT_PATH"] . "lib/";
$GLOBALS["BBC_LANGUAGE_PATH"] = $GLOBALS["BBC_ROOT_PATH"] . "language/";
$GLOBALS["BBC_CACHE_PATH"]  = $GLOBALS["BBC_ROOT_PATH"] . "var/";
$GLOBALS["BBC_DOC_PATH"]  = $GLOBALS["BBC_ROOT_PATH"] . "doc/";
$GLOBALS["BBC_IMAGES_PATH"] = $GLOBALS["BBC_ROOT_PATH"] . "images/";
$GLOBALS["BBC_CONF_PATH"] = $GLOBALS["BBC_ROOT_PATH"] . "conf/";
$GLOBALS["BBC_CONFIG_FILE"] = $GLOBALS["BBC_CONF_PATH"] . "config.php";
$GLOBALS["BBC_LOG_PROCESSOR"] = $GLOBALS["BBC_ROOT_PATH"] . "log_processor.php";

// Counters storing the raw connections data
$GLOBALS["BBC_COUNTER_PREFIX"] = "counter";
$GLOBALS["BBC_COUNTER_SUFFIX"] = ".inc";
$GLOBALS["BBC_COUNTER_NB_FIELDS"] = 9;

// $BBC_ACCESS_FILE is the file which stores, in the variable $last_access, 
// the last accesses to the tagged pages.
//
// It contains:
// * in the field $access["last"]: all the connections made before the last $maxtime seconds 
//   (from the execution time of log_processor.php) 
//   and the number of older connection necessary to achieve a total of $maxvisible connections.
//   This is a php file which records the variable $access_stat.
// * in the field $access["stat"]: the global statistics on all the connections
//  
// Each row of $access["last"] is a subarray representing a connection, 
// and containing the following fields (recorded in $BBC_ACCESS_LAST_FIELDS):
// 	"time" 		=>	the unix connection time,
//	"hex_ip" 	=>	the hexadecimal IP, 
//	"ip" 		=>	the IP, 
//	"dns" 		=> 	the DNS of the hostname, 
//	"remote" 	=> 	$REMOTE_HOST, 
//	"agent" 	=> 	$HTTP_USER_AGENT, 
//	"referer" 	=>	$HTTP_REFERER, 
//	"script"	=>	$REQUEST_URI (the last calling page),
//	"script_name"	=>	The name of the last script if specified by the user with _BBC_PAGE_NAME,
//	"id" 		=> 	index of the connection
//	"visits" 	=> 	visits, i.e. number of connections during the last $maxtime seconds, 
//	"os" 		=> 	detected OS
//	"os_note"	=> 	additional note about the detected os (version, ...)
//	"browser" 	=> 	detected browser
//	"browser_note" 	=> 	additional note about the detected browser (version, ...)
//	"ext" 		=> 	detected extension
//      "robot"		=>	the type of the detected robot
//      "robot_note"	=>	additional note about the detected robot (version, ...)
//
// Note: the fields "time", "hex_ip", "ip", "dns", "remote", "agent", "referer" and "script" 
//       correspond in order to the data recorded by mark_page.php into the nine main 
//       counters (*.inc) of var/
//
$GLOBALS["BBC_ACCESS_FILE"] = $GLOBALS["BBC_CACHE_PATH"] . "access.php";

$GLOBALS["BBC_ACCESS_LAST_FIELDS"] = array("time", "hex_ip", "ip", "dns", "remote", "agent", "referer", "script", 
				"script_name",
				"id", "visits", "os", "os_note", "browser", "browser_note", "ext");

// All the possible html cache
$GLOBALS["BBC_DETAILED_CACHE"] = $GLOBALS["BBC_CACHE_PATH"] . "show_detailed.html";

?>
