<?php

/*
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/language/it.php,v 1.2 2002/12/26 12:53:48 jdurden Exp $
 *
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * Italian translation table for BBClone 3.0
 * Corrections or suggestions for better translation should
 * be sent to fizban(at)slack-tux.org
 * 
 */

/* File: 	italian.php
 * Summary: 	contiene una tabella di traduzione in italiano
 * Author:      andreas liebschner fizban(at)slack-tux.org
 * Description: 
 */


// A flag to avoid to reload more than one times this file
if (!defined("_ITALIAN"))
{
  define("_ITALIAN",1);
}
else
{
  return;
}

// The main array ($_ is for doing short in its call)
$_ = array(
	   // Specific charset
	   "global_charset" => "iso-8859-15",
	   
	   // Date format (used with date() )
	   "global_date_format" => "d/m/Y",

	   // Global translation
	   "global_bbclone_copyright" => "Il team di BBclone - Rilasciato sotto la licenza ",
	   "global_yes" => "si",
	   "global_no" => "no",

	   // The error messages
	   "error_cannot_see_config" => 
	   "Non sei autorizzato a vedere la configurazione di BBClone su questo server.",

	   // Address Extensions (see lib/extension.php)
	   "ext_other" => "Altro", "ext_com" => "Commerciale", 
	   "ext_net" => "Net", "ext_edu" => "Educational", 
	   "ext_jp" => "Giappone", "ext_us" => "Stati Uniti", 
	   "ext_uk" => "Regno unito", "ext_de" => "Germania", 
	   "ext_mil" => "Esercito Americano", "ext_ca" => "Canada", 
	   "ext_it" => "Italia", "ext_au" => "Australia", 
	   "ext_org" => "Organizzazioni", "ext_nl" => "Olanda", 
	   "ext_fr" => "Francia", "ext_tw" => "Taiwan", 
	   "ext_gov" => "Governo", "ext_fi" => "Finlandia", 
	   "ext_br" => "Brasile", "ext_se" => "Svezia", 
	   "ext_es" => "Spagna", "ext_no" => "Norvegia", 
	   "ext_mx" => "Messico", "ext_kr" => "Korea", 
	   "ext_ch" => "Svizzera", "ext_dk" => "Danimarca", 
	   "ext_be" => "Belgio", "ext_at" => "Austria", 
	   "ext_nz" => "Nuova Zealanda", "ext_ru" => "Federazione Russa", 
	   "ext_pl" => "Polonia", "ext_za" => "Sud Africa", 
	   "ext_unknown" => "Sconosciuto", "ext_ar" => "Argentina", 
	   "ext_il" => "Israelw", "ext_sg" => "Singapore", 
	   "ext_arpa" => "Errori", "ext_cz" => "Repubblica Ceca", 
	   "ext_hu" => "Ungheria", "ext_hk" => "Hong Kong", 
	   "ext_pt" => "Portogallo", "ext_tr" => "Turchia", 
	   "ext_gr" => "Grecia", "ext_cn" => "Cina", 
	   "ext_ie" => "Irlanda", "ext_my" => "Malaysia", 
	   "ext_th" => "Tailandia", "ext_cl" => "Cile", 
	   "ext_co" => "Colombia", "ext_is" => "Islanda", 
	   "ext_uy" => "Uruguay", "ext_ee" => "Estonia", 
	   "ext_in" => "India", "ext_ua" => "Ukraina", 
	   "ext_sk" => "Slovacchia", "ext_ro" => "Romania", 
	   "ext_ae" => "Emirati Arabi Uniti", "ext_id" => "Indonesia", 
	   "ext_su" => "Unione Sovietica", "ext_si" => "Slovenia", 
	   "ext_hr" => "Croazia", "ext_ph" => "Filippine", 
	   "ext_lv" => "Latvia", "ext_ve" => "Venezuela", 
	   "ext_bg" => "Bulgaria", "ext_lt" => "Lithuania", 
	   "ext_yu" => "Yugoslavia", "ext_lu" => "Lussemburgo", 
	   "ext_nu" => "Niue", "ext_pe" => "Peru", 
	   "ext_cr" => "Costa Rica", "ext_int" => "Organizzazioni Internazionali", 
	   "ext_do" => "Repubblica Domenicana", "ext_cy" => "Cipro", 
	   "ext_pk" => "Pakistan", "ext_cc" => "Isole Coco", 
	   "ext_tt" => "Trinidad e Tobago", "ext_eg" => "Egitto", 
	   "ext_lb" => "Libano", "ext_kw" => "Kuwait", 
	   "ext_to" => "Tonga", "ext_kz" => "Kazakhstan", 
	   "ext_na" => "Namibia", "ext_mu" => "Mauritius", 
	   "ext_bm" => "Bermuda", "ext_sa" => "Arabia Saudita", 
	   "ext_zw" => "Zimbabwe", "ext_kg" => "Kyrgyzstan", 
	   "ext_cx" => "Christmas Island", "ext_pa" => "Panama", 
	   "ext_gt" => "Guatemala", "ext_bw" => "Botswana", 
	   "ext_mk" => "Macedonia", "ext_gl" => "Groenlandia", 
	   "ext_ec" => "Equador", "ext_lk" => "Sri Lanka", 
	   "ext_md" => "Moldavia", "ext_py" => "Paraguay", 
	   "ext_bo" => "Bolivia", "ext_bn" => "Brunei", 
	   "ext_mt" => "Malta", "ext_fo" => "Isole Faroe", 
	   "ext_ac" => "Ascension Island", "ext_pr" => "Porto Rico", 
	   "ext_am" => "Armenia", "ext_pf" => "Polynesia Francese", 
	   "ext_ge" => "Georgia", "ext_bh" => "Bahrain", 
	   "ext_ni" => "Nicaragua", "ext_by" => "Belarus", 
	   "ext_sv" => "El Salvador", "ext_ma" => "Marocco", 
	   "ext_ke" => "Kenya", "ext_ad" => "Andorra", 
	   "ext_zm" => "Zambia", "ext_np" => "Nepal", 
	   "ext_bt" => "Bhutan", "ext_sz" => "Swaziland", 
	   "ext_ba" => "Bosnia and Herzegowina", "ext_om" => "Oman", 
	   "ext_jo" => "Giordania", "ext_ir" => "Iran", 
	   "ext_st" => "Sao Tome and Principe", "ext_vi" => "Isole Vergini(U.S.)", 
	   "ext_ci" => "Costa d'avorio", "ext_jm" => "Jamaica", 
	   "ext_li" => "Liechtenstein", "ext_ky" => "Cayman Islands", 
	   "ext_gp" => "Guadeloupe", "ext_mg" => "Madagascar", 
	   "ext_gi" => "Gibilterra", "ext_sm" => "San Marino", 
	   "ext_as" => "Samoa Americana", "ext_tz" => "Tanzania", 
	   "ext_ws" => "Samoa", "ext_tm" => "Turkmenistan", 
	   "ext_mc" => "Monaco", "ext_sn" => "Senegal", 
	   "ext_hm" => "Heard and Mc Donald Islands", "ext_fm" => "Micronesia", 
	   "ext_fj" => "Fiji", "ext_cu" => "Cuba", 
	   "ext_rw" => "Ruanda", "ext_mq" => "Martinique", 
	   "ext_ai" => "Anguilla", "ext_pg" => "Papua New Guinea", 
	   "ext_bz" => "Belize", "ext_sh" => "St. Helena", 
	   "ext_aw" => "Aruba", "ext_mv" => "Maldive", 
	   "ext_nc" => "New Caledonia", "ext_ag" => "Antigua and Barbuda", 
	   "ext_uz" => "Uzbekistan", "ext_tj" => "Tajikistan", 
	   "ext_sb" => "Isole Solomon", "ext_bf" => "Burkina Faso", 
	   "ext_kh" => "Cambogia", "ext_tc" => "Turks and Caicos Islands", 
	   "ext_tf" => "French Southern Territories", "ext_az" => "Azerbaijan", 
	   "ext_dm" => "Dominica", "ext_mz" => "Mozambique", 
	   "ext_mo" => "Macao", "ext_vu" => "Vanuatu", 
	   "ext_mn" => "Mongolia", "ext_ug" => "Uganda", 
	   "ext_tg" => "Togo", "ext_ms" => "Montserrat", 
	   "ext_ne" => "Nigeria", "ext_gf" => "Guiana Francese", 
	   "ext_gu" => "Guam", "ext_hn" => "Honduras", 
	   "ext_al" => "Albania", "ext_gh" => "Gana", 
	   "ext_nf" => "Isole Norfolk", "ext_io" => "British Indian Ocean Territory", 
	   "ext_gs" => "South Georgia and the South Sandwich Islands", "ext_ye" => "Yemen", 
	   "ext_an" => "Antille Olandesi", "ext_aq" => "Antarctica", 
	   "ext_tn" => "Tunisia", "ext_ck" => "Isole Cook", 
	   "ext_ls" => "Lesotho", "ext_et" => "Ethiopia", 
	   "ext_ng" => "Nigeria", "ext_sl" => "Sierra Leone", 
	   "ext_bb" => "Barbados", "ext_je" => "Jersey", 
	   "ext_vg" => "Isole Vergini (Britanniche)", "ext_vn" => "Vietnam", 
	   "ext_mr" => "Mauritania", "ext_gy" => "Guyana", 
	   "ext_ml" => "Mali", "ext_ki" => "Kiribati", 
	   "ext_tv" => "Tuvalu", "ext_dj" => "Djibouti", 
	   "ext_km" => "Comoro", "ext_dz" => "Algeria", 
	   "ext_im" => "Isle of Man", "ext_pn" => "Pitcairn", 
	   "ext_qa" => "Qatar", "ext_gg" => "Guernsey", 
	   "ext_bj" => "Benin", "ext_ga" => "Gabon", 
	   "ext_gb" => "Regno Unito", "ext_bs" => "Bahamas", 
	   "ext_va" => "Citta del Vaticano", "ext_lc" => "Saint Lucia", 
	   "ext_cd" => "Congo", "ext_gm" => "Gambia", 
	   "ext_mp" => "Northern Mariana Islands", "ext_gw" => "Guinea-Bissau", 
	   "ext_cm" => "Cameroon", "ext_ao" => "Angola", 
	   "ext_er" => "Eritrea", "ext_ly" => "Libia", 
	   "ext_cf" => "Repubblica Centro Africana", "ext_mm" => "Myanmar", 
	   "ext_td" => "Chad", "ext_iq" => "Iraq", 
	   "ext_kn" => "Saint Kitts and Nevis", "ext_sc" => "Seychelles", 
	   "ext_cg" => "Congo", "ext_gd" => "Grenada", 
	   "ext_nr" => "Nauru", "ext_af" => "Afghanistan", 
	   "ext_cv" => "Cape Verde", "ext_mh" => "Marshall Islands", 
	   "ext_pm" => "St. Pierre and Miquelon", "ext_so" => "Somalia", 
	   "ext_vc" => "St. Vincent and the Grenadines", "ext_bd" => "Bangladesh", 
	   "ext_gn" => "Guinea", "ext_ht" => "Haiti", 
	   "ext_la" => "Laos", "ext_lr" => "Liberia", 
	   "ext_mw" => "Malawi", "ext_pw" => "Palau", 
	   "ext_re" => "Reunion", "ext_tk" => "Tokelau", 
	   "ext_bi" => "Burundi", "ext_bv" => "Bouvet Island", 
	   "ext_fk" => "Isole Falkland (Malvinas)", "ext_gq" => "Guinea Equatoriale", 
	   "ext_sd" => "Sudan", "ext_sj" => "Svalbard and Jan Mayen Islands", 
	   "ext_sr" => "Suriname", "ext_sy" => "Siria", 
	   "ext_tp" => "Timor Est", "ext_um" => "United States Minor Outlying Islands", 
	   "ext_wf" => "Wallis and Futuna Islands", "ext_yt" => "Mayotte", 
	   "ext_zr" => "Zaire", "ext_IP" => "Numeric",

	   // Miscellaneoux translations
	   "misc_other" => "Altro",
	   "misc_unknown" => "Sconosciuto",
	   "misc_second_unit" => "s",

	   // The Navigation Bar
	   "navbar_Main_Site" => "Sito Principale",
	   "navbar_Configuration" => "Configurazione",
	   "navbar_Global_Stats" => "Stats Globali",	   
	   "navbar_Detailed_Stats" => "Stats Dettagliate",	   
	   "navbar_Time_Stats" => "Stats Temporali",	   
	   "navbar_Link_Stats" => "Stats dei Links",

	   // Detailed stats words
	   "dstat_ID" => "ID", 
	   "dstat_Time" => "Time", 
	   "dstat_Visits" => "Visite",
	   "dstat_Extension" => "Estensione",
	   "dstat_DNS" => "DNS",
	   "dstat_From" => "Da",
	   "dstat_OS" => "Sistema Operativo",
	   "dstat_Browser" => "Browser",
	   "dstat_New_access" => "Nuovo/i Accesso/i",
	   "dstat_Elapsed_time" => "Tempo impiegato",	   
	   "dstat_No_new_access" => "Nessun nuovo accesso",	   
	   "dstat_Visible_accesses" => "Accessi visibili",	   
	   "dstat_green_rows" => "righe verdi",	   
	   "dstat_blue_rows" => "righe blu",	   
	   "dstat_red_rows" => "righe rosse",	   
	   "dstat_last_visit" => "ultima visita",	   
	   "dstat_robots" => "robots",	   

	   // Global stats words

	   "gstat_Accesses" => "Accessi",
	   "gstat_Total_visits" => "Visite totali",
	   "gstat_Total_unique" => "Totali unici",
	   "gstat_New_visits" => "Nuove visite",
	   "gstat_New_unique" => "Nuovi unici",
	   "gstat_Blacklisted" => "Blacklisted",
	   "gstat_Operating_systems" => "Sistemi operativi",
	   "gstat_Browsers" => "Browsers",
	   "gstat_n_first_extensions" => "%d prime estensioni",
	   "gstat_Robots" => "Robots",
	   "gstat_n_first_pages" => "%d prime pagine",
	   "gstat_n_first_origins" => "%d primi referenti",
	   "gstat_Total" => "Totale",
	   "gstat_Not_specified" => "Non specificato",

	   // Time stats words
	   "tstat_Su" => "Dom",     
	   "tstat_Mo" => "Lun",     
	   "tstat_Tu" => "Mar",     
	   "tstat_We" => "Mer",     
	   "tstat_Th" => "Gio",     
	   "tstat_Fr" => "Ven",     
	   "tstat_Sa" => "Sab",     

	   "tstat_Jan" => "Gen",     
	   "tstat_Feb" => "Feb",
	   "tstat_Mar" => "Mar",
	   "tstat_Apr" => "Apr",
	   "tstat_May" => "Mag",
	   "tstat_Jun" => "Giu",
	   "tstat_Jul" => "Lug",
	   "tstat_Aug" => "Ago",
	   "tstat_Sep" => "Set",
	   "tstat_Oct" => "Ott",
	   "tstat_Nov" => "Nov",
	   "tstat_Dec" => "Dic",
 
	   "tstat_Hours" => "Ore",     
	   "tstat_Days_of_the_week" => "Giorni della settimana",     
	   "tstat_Days_of_the_month" => "Giorni del mese",     
	   "tstat_Months" => "Mesi",
	   "tstat_Last_day" => "Ultimo giorno",     
	   "tstat_Last_week" => "Ultima settimana",     
	   "tstat_Last_month" => "Ultimo mese",     
	   "tstat_Last_year" => "Ultimo anno",

	   // Configuration page words and sentences

	   "config_Variable_name" => "Variable name",
	   "config_Variable_value" => "Variable value",
	   "config_Explanations" => "Spiegazioni",

	   "config_bbc_mainsite" => 
	   "L'URL del tuo sito web.<br>
Se vuoto, questo URL non appare nella barra di navigazione di tutte le pagine di bbclone.<br>
<br> 
<i>Esempio:</i><br>
\$BBC_MAINSITE = \"http://www.miositoweb.com/daqualcheparte/\".",

	   "config_bbc_show_config" => 
	   "Determina se la configurazione debba essere visibile o meno attraverso show_config.php",

	   "config_bbc_titlebar" => 
	   "Il titolo che appare nella barra del titolo presente in tutte le pagine di bbclone.<br> 
Le macros comprensibili sono:<br>
<ul>
<li>%SERVER : nome del server, 
<li>%DATE : la data corrente.
</ul>
Le tags HTML sono consentite.",

	   "config_bbc_language" => 
	   "La lingua che vuoi utilizzare. Quella predefinita  english.<br>
Per conoscere le lingue disponibili, guarda:  
<a href=\"http://bbclone.tuxfamily.org\">download section</a> del sito di BBClone.", 

	   "config_bbc_maxtime" => 
	   "Intervallo di tempo (in secondi) tra due differenti visite dallo stessa coppia IP/AGENT.<br>
Il valore predefinito  : 1800 s",

	   "config_bbc_maxvisible" => 
	   "Quante entries vuoi vedere nelle statistiche dettagliate ?<br>
Il valore predefinito  100. Non settare ad un valore maggiore di 500.",

	   "config_bbc_maxextension" => 
	   "Quante estensioni vuoi vedere classificate nelle statistiche globali?",

	   "config_bbc_maxpage" => 
	   "Quante pagine vuoi classificate nelle statistiche globali?",

	   "config_bbc_maxorigin" => 
	   "Quanti origins vuoi classificate nelle statistiche globali?",

	   "config_bbc_ignoreip" => 
	   "Quali indirizzi IP (o subnet) vuoi ignorare ?<br>
<i>Formato:</i> &lt;indirizzo IP o subnet&gt;, &lt;un altro indirizzo IP o subnet&gt;<br>
Inserisci una virgola \",\" tra ogni IP. Il valore predefinito  il \"local\" IP.",

	   "config_bbc_detailed_stat_fields" => 
	   "La variabile \$BBC_DETAILED_STAT_FIELDS determina il campo nel quale mostrare nel 
show_detailed.php.<br>
I possibili campi sono:<br> 
\"id\", \"time\", \"visits\", \"dns\" (hostname), \"referer\", \"os\", \"browser\", \"ext\" (estensione)<br>
L'ordine dei campi  importante.<br>
I campi non presenti non saranno mostrati nella pagina delle statistiche.<br>
<br>
<i>Esempi:</i><br>
\$BBC_DETAILED_STAT_FIELDS = \"id, time, visits, ext, os, browser\"<br>
\$BBC_DETAILED_STAT_FIELDS = \"date, country, browser, os, hostname\"<br>",

	   "config_bbc_general_align_style" => 
	   "Puoi settare qui lo stile di allineamento della pagina principale delle statistiche.
I possibili valori sono \"left\", \"right\", \"center\"",

	   "config_bbc_title_size" => 
	   "Il livello della dimensione dei titoli tra 0 (il piu piccolo) e 6 (il piu alto)",

	   "config_bbc_subtitle_size" =>
	   "Il livello della dimensione dei sottotitoli tra 0 (il smallest) e 6 (il piu alto)",

	   "config_bbc_text_size" => 
	   "Il livello della dimensione del testo semplice tra 0 (il smallest) e 6 (il piu alto)"

	  );		       


?>
