<?php
/*
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/lib/browser.php,v 1.8 2002/12/26 12:53:48 jdurden Exp $
 * 
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or   
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* File: 	browser.php
 * Summary: 	contain the list of all the possible browsers and
 *              also the different rules to classify them.
 * Description:
 */

if (!defined("_BROWSER"))
{
  define("_BROWSER",1);
}
else
{
  return;
}

// The browser table
// Note: 
// * each key of the "rule" array describe the regexp to apply to detect the browser,
//   the correspond value is for the title to display from this regexp.
// * "title" is used in the global sorting.

$browser = array ( "opera"	=> array( "icon"  => "browser_opera.png",     
					  "title" => "Opera",
					  "rule"  => 
					  array( "opera/([0-9.]+)" => "\\1",
						 "opera ([0-9.]+)" => "\\1" ) ),

		 "aol"		=> array( "icon"  => "browser_aol.png",     
					  "title" => "AOL",
					  "rule"  => 
					  array( "aol-([0-9.]+)" => "\\1",
						 "aol ([0-9.]+)" => "\\1",
						 "aol browser" => "" ) ),

		 "beonex"		=> array( "icon"  => "browser_beonex.png",     
					  "title" => "Beonex",
					  "rule"  => 
					  array( "beonex/([0-9.]+)" => "\\1",
						 "beonex" => "" ) ),

		 "staroffice"	=> array( "icon"  => "browser_staroffice.png",     
					  "title" => "StarOffice",
					  "rule"  => 
					  array( "staroffice/([0-9.]+)" => "\\1",
						 "staroffice ([0-9.]+)" => "\\1" ) ),

		 "columbus"		=> array( "icon"  => "browser_columbus.png",     
					  "title" => "Columbus",
					  "rule"  => 
					  array( "columbus/([0-9.]+)" => "\\1",
						 "columbus ([0-9.]+)" => "\\1" ) ),

		 "netpositive"	=> array( "icon"  => "browser_netpositive.png",     
					  "title" => "NetPositive",
					  "rule"  => 
					  array( "netpositive/([0-9.]+)" => "\\1",
						 "netpositive ([0-9.]+)" => "\\1" ) ),

		 "mosaic"	=> array( "icon"  => "browser_mosaic.png",     
					  "title" => "Mosaic",
					  "rule"  => 
					  array( "mosaic/([0-9.]+)" => "\\1",
						 "mosaic ([0-9.]+)" => "\\1" ) ),

		 "voyager"		=> array( "icon"  => "browser_voyager.png",     
					  "title" => "Voyager",
					  "rule"  => 
					  array( "voyager/([0-9.]+)" => "\\1",
						 "voyager ([0-9.]+)" => "\\1" ) ),

		   "explorer" 	=> array( "icon"  => "browser_explorer.png", 
					  "title" => "Explorer",
					  "rule"  => 
					  array( "msie ([0-9.]+)" => "\\1" ) ),

		   "konqueror"	=> array( "icon"  => "browser_konqueror.png", 
					  "title" => "Konqueror",
					  "rule"  => 
					  array( "konqueror/([0-9.]+)" => "\\1" ) ),

		   "galeon"	=> array( "icon"  => "browser_galeon.png",    
					  "title" => "Galeon",
					  "rule"  =>
					  array( "galeon/([0-9.]+)" => "\\1",
						 "galeon" => "" ) ),

		   "nautilus"	=> array( "icon"  => "browser_nautilus.png",    
					  "title" => "Nautilus",
					  "rule"  =>
					  array( "nautilus/([0-9.]+)" => "\\1",
						 "gnome-vfs/([0-9.]+)" => "\\1",
						 "nautilus" => "" ) ),

		   "java"	=> array( "icon"  => "browser_java.png",    
					  "title" => "Java",
					  "rule"  =>
					  array( "java/([0-9.]+)" => "\\1",
						 "java ([0-9.]+)" => "\\1",
						 "java" => "" ) ),

		   "k-meleon"	=> array( "icon"  => "browser_k-meleon.png",
					  "title" => "K-Meleon",
					  "rule"  =>
					  array( "K-Meleon ([0-9.]*)" => "\\1" ) ),

		   "phoenix"	=> array( "icon"  => "browser_phoenix.png",
					  "title" => "Phoenix",
					  "rule"  =>
					  array( "Phoenix/([0-9.]*)" => "\\1" ) ),

		   "netscape"	=> array( "icon"  => "browser_navigator.png",
					  "title" => "Netscape",
					  "rule"  =>
					  array( "netscape([0-9]*/[0-9.]+)" => "\\1",
						 "mozilla/([0-4][0-9.]+)" => "\\1" ) ),

		   "mozilla"	=> array( "icon"  => "browser_mozilla.png",
					  "title" => "Mozilla",
					  "rule"  =>
					  array( "mozilla/([5-9][0-9.]+)" => "\\1", 
						 "gecko" => "",  
						 "mozilla .([0-9]*)" =>  "\\1" ) ),

		   "lynx"	=> array( "icon"  => "browser_lynx.png", 
					  "title" => "Lynx",
					  "rule"  =>
					  array( "lynx/([0-9.]+)" => "\\1" ) ),

		   "links"	=> array( "icon"  => "browser_links.png",
					  "title" => "Links",
					  "rule"  => 
					  array( "Links \(([0-9.]+)" => "\\1" ) ),

		   "webtv"	=> array( "icon"  => "browser_webtv.png",
					  "title" => "Webtv",
					  "rule"  => 
					  array( "webtv/([0-9.]+)" => "\\1", 
					         "webtv" => "" ) ), 

		   "w3m"	=> array( "icon"  => "browser_w3m.png",
					  "title" => "w3m",
					  "rule"  => 
					  array( "w3m/([0-9.]+)" => "\\1" ) ), 

		   "libwww"	=> array( "icon"  => "browser_libwww.png",
					  "title" => "libWWW",
					  "rule"  => 
					  array( "libwww-perl/([0-9.]+)" => "\\1", 
					         "libwww-perl" => "", 
					         "libwww-FM/([0-9.]+)" => "\\1", 
					         "libwww-FM" => "", 
					         "libwww/([0-9.]+)" => "\\1", 
					         "libwww" => "" ) ), 

//		   "wget"	=> array( "icon"  => "browser_wget.png",
//					  "title" => "Wget",
//					  "rule"  => 
//					  array( "Wget/([0-9.]+)" => "\\1", 
//						 "Wget" => "",
//						 "wget" => "" ) ),
						 
		   "other"	=> array( "icon"  => "browser_question.png",
					  "title" => "$_[misc_other]",
					  "rule"  => array( "." => "Other" ) ) );

?>