<?php
/*
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/lib/os.php,v 1.7 2002/12/26 12:53:48 jdurden Exp $
 * 
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or   
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* File: 	os.php
 * Summary: 	contain the list of all the possible Operating Systems (OS) and also
 *              the different rules to classify them.
 * Description:
 */

if (!defined("_OS"))
{
  define("_OS",1);
}
else
{
  return;
}

$os = array( "macppc"		=> array( "icon"  => "os_macppc.png",
					  "title" => "MacOS PPC",
					  "rule"  =>
					  array( "Mac_PowerPC" => "",
						 "macintosh[[:alnum:][:punct:][:space:]]*ppc" => "" ) ),

	     "mac"		=> array( "icon"  => "os_mac.png",
					  "title" => "MacOS",
					  "rule"  =>
					  array( "mac" => "" ) ),

	     "darwin"		=> array( "icon"  => "os_darwin.png",
					  "title" => "Darwin",
					  "rule"  =>
					  array( "Darwin ([0-9.]+)" => "\\1",
						 "Darwin" => "" ) ),

	     "beos"		=> array( "icon"  => "os_be.png",
					  "title" => "BeOS",
					  "rule"  =>
					  array( "beos r([0-9.]+)" => "\\1",
						 "beos" => "" ) ),

	     "windowsxp"	=> array( "icon"  => "os_windowsxp.png",
					  "title" => "Windows XP",
					  "rule"  =>
					  array( "Windows XP" => "",
						 "Windows NT 5.1" => "" ) ),

	     "windows2k"	=> array( "icon"  => "os_windows.png",
					  "title" => "Windows 2000",
					  "rule"  =>
					  array( "Windows NT 5" => "",
						 "Windows 2000" => "" ) ),

	     "windowsnt"	=> array( "icon"  => "os_windows.png",
					  "title" => "Windows NT",
					  "rule"  =>
					  array( "windows nt ([0-9.]+)" => "\\1",
						 "windows nt" => "",
						 "winnt" => "" ) ),

	     "windowsme"	=> array( "icon"  => "os_windows.png",
					  "title" => "Windows ME",
					  "rule"  =>
					  array( "windows 98; Win 9x 4.90" => "",
						 "win 9x 4.90" => "",
						 "windows me" => "",
						 "winme" => "" ) ),

	     "windows98"	=> array( "icon"  => "os_windows.png",
					  "title" => "Windows 98",
					  "rule"  =>
					  array( "windows 98" => "",
						 "win98" => "" ) ),

	     "windows95"	=> array( "icon"  => "os_windows.png",
					  "title" => "Windows 95",
					  "rule"  =>
					  array( "windows 95" => "",
						 "win95" => "" ) ),

	     "windows" 		=> array( "icon"  => "os_windows.png",
					  "title" => "Windows",
					  "rule"  =>
					  array( "windows|win" => "(?)" ) ),

	     "linux"		=> array( "icon"  => "os_linux.png",
					  "title" => "Linux",
					  "rule"  =>
					  array( "mdk for ([0-9]\.[0-9])" => "MDK \\1",
						 "linux ([0-9][0-9.\-]*mdk[a-z]*)" => "MDK \\2",
						 "linux ([0-9.]+)" => "\\1",
						 "linux" => "" ) ),

	     "os2"		=> array( "icon"  => "os_os2.png",
					  "title" => "OS2",
					  "rule"  =>
					  array( "os2" => "",
						 "os/2" => "" ) ),

	     "irix"		=> array( "icon"  => "os_irix.png",
					  "title" => "IRIX",
					  "rule"  =>
					  array( "irix" => "" ) ),

	     "hpux"		=> array( "icon"  => "os_hp.png",
					  "title" => "HPUX",
					  "rule"  =>
					  array("hp-ux ([a-z.][0-9.]+)" => "\\1",
					        "hp[\-]*ux" => "" ) ),

	     "aix"		=> array( "icon"  => "os_aix.png",
					  "title" => "AIX",
					  "rule"  =>
					  array( "aix" => "" ) ),

	     "freebsd"		=> array( "icon"  => "os_freebsd.png",
					  "title" => "FreeBSD",
					  "rule"  =>
					  array( "freebsd ([0-9.]+)" => "\\1",
						 "freebsd" => "" ) ),

	     "netbsd"		=> array( "icon"  => "os_netbsd.png",
					  "title" => "NetBSD",
					  "rule"  =>
					  array( "netbsd ([0-9.]+)" => "\\1",
						 "netbsd" => "" ) ),

	     "openbsd"		=> array( "icon"  => "os_openbsd.png",
					  "title" => "OpenBSD",
					  "rule"  =>
					  array( "openbsd ([0-9.]+)" => "\\1",
						 "openbsd" => "" ) ),

	     "bsd" 		=> array( "icon"  => "os_bsd.png",
					  "title" => "BSD",
					  "rule"  =>
					  array( "bsd" => "" ) ),

	     "photon" 		=> array( "icon"  => "os_qnx.png",
					  "title" => "QNX Photon",
					  "rule"  =>
					  array( "photon" => "" ) ),

	     "sun" 		=> array( "icon"  => "os_sun.png",
					  "title" => "SunOS",
					  "rule"  =>
					  array( "sunos ([0-9.]+)" => "\\1",
						 "sun[[:space:]]*os" => "" ) ),

	     "unixware"		=> array( "icon"  => "os_sco.png",
					  "title" => "UnixWare",
					  "rule"  =>
					  array( "unixware ([0-9.]+)" => "\\1",
						 "unixware" => "" ) ),

	     "tru64"		=> array( "icon"  => "os_tru64.png",
					  "title" => "Tru64",
					  "rule"  =>
					  array( "OSF[0-9[:space:]]V5" => "" ) ),

	     "digital" 		=> array( "icon"  => "os_digital.png",
					  "title" => "Digital",
					  "rule"  =>
					  array( "OSF[0-9[:space:]]V4" => "" ) ),

	     "amiga"		=> array( "icon"  => "os_amiga.png",
					  "title" => "Amiga",
					  "rule"  =>
					  array( "amiga" => "" ) ),

	     "atheos"		=> array( "icon"  => "os_atheos.png",
					  "title" => "AtheOS",
					  "rule"  =>
					  array( "atheos" => "" ) ),

	     "other"	=> array( "icon"  => "os_question.png",
				  "title" => "$_[misc_other]",
				  "rule"  => array( "." => "Other" ) ) );

?>
						

	   