<?php
/*
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/lib/robot.php,v 1.7 2002/12/26 12:53:48 jdurden Exp $
 * 
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or   
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* File: 	robot.php
 * Summary: 	contain the list of all the possible Robots and also
 *              the different rules to classify them.
 * Description:
 */

if (!defined("_ROBOT"))
{
  define("_ROBOT",1);
}
else
{
  return;
}

$robot = array( "google" =>	array( "icon"  => "robot_google.png",
				       "title" => "GoogleBot",
				       "rule"  =>
				       array ( "googlebot/" => "GoogleBot" ) ),

		"inktomi" =>	array( "icon"  => "robot_inktomi.png",
				       "title" => "Inktomi",
				       "rule"  => 
				       array( "slurp@inktomi.com" => "Inktomi" ) ),

		"altavista" =>	array( "icon"  => "robot_altavista.png",
				       "title" => "Altavista",
				       "rule"  => 
				       array( "Scooter-W([0-9.]+)" => "Altavista",
					      "Scooter/" => "Altavista" ) ),

		"alexa" =>	array( "icon"  => "robot_alexa.png",
				       "title" => "Alexa",
				       "rule"  => 
				       array( "ia_archive" => "Alexa" ) ),

		"fast" =>	array( "icon"  => "robot_fast.png",
				       "title" => "Fast",
				       "rule"  => 
				       array( "crawler@fast.no" => "Fast",
					      "FAST" => "Fast" ) ),

		"htdig" =>	array( "icon"  => "robot_htdig.png",
				       "title" => "ht://Dig",
				       "rule"  => 
				       array( "htdig/([0-9.]+)" => "ht://Dig" ) ),

		"euroseek" =>	array( "icon"  => "robot_euroseek.png",
				       "title" => "EuroSeek",
				       "rule"  => 
				       array( "Arachnoidea" => "EuroSeek" ) ),

		"excite" =>	array( "icon"  => "robot_excite.png",
				       "title" => "Excite",
				       "rule"  => 
				       array( "ArchitextSpider" => "Excite" ) ),

		"plsearch" =>	array( "icon"  => "robot_plsearch.png",
				       "title" => "PlanetSearch",
				       "rule"  => 
				       array( "fido/([0-9.]+) Harvest" => "PlanetSearch" ) ),

		"bobby" =>	array( "icon"  => "robot_bobby.png",
				       "title" => "Bobby",
				       "rule"  => 
				       array( "bobby/([0-9.]+)" => "\\1",
				              "bobby" => "" ) ),

		"netmechanic" => array( "icon"  => "robot_netmechanic.png",
				       "title" => "NetMechanic",
				       "rule"  => 
				       array( "NetMechanic ([0-9.]+)" => "\\1",
				              "netmechanic" => "" ) ),

		"csscheck" =>	array( "icon"  => "robot_css.png",
				       "title" => "CSSCheck",
				       "rule"  => 
				        array("CSS_Validator/" => "",
				              "CSS_Validator" => "",
//				              "Jigsaw/" => "",
//				              "Jigsaw" => "",
				              "CSSCheck/" => "",
				              "CSSCheck" => "" ) ),

		"linkcheck" =>	array( "icon"  => "robot_linkcheck.png",
				       "title" => "Linkcheck",
				       "rule"  => 
				       array( "-checklink/([0-9.]+)" => "\\1",
				              "checklink/([0-9.]+)" => "\\1",
				              "checklink" => "",
				              "Link Valet Online" => "",
				              "Web Link Validator" => "" ) ),

		"validator" =>	array( "icon"  => "robot_validator.png",
				       "title" => "Validator",
				       "rule"  => 
				       array( "Validator/([0-9.]+)" => "\\1",
				              "validator/([0-9.]+)" => "\\1",
				              "validator" => "" ) ),

		"wget" =>	array( "icon"  => "robot_wget.png",
				       "title" => "Wget",
				       "rule"  => 
				       array( "Wget/([0-9.]+)" => "\\1",
				              "wget/([0-9.]+)" => "\\1",
				              "wget" => "" ) ),

		"robot" =>	array( "icon"  => "robot_robot.png",
				       "title" => "Robot",
				       "rule"  => 
				       array( "Acoon Robot" => "Acoon",
				              "Axel" => "Axel",
				              "BrowserSpy" => "BrowserSpy",
				              "Gulliver" => "Northern Light Gulliver",
				              "gzip tester" => "Leknor.com gzip tester",
				              "HTTPClient" => "HTTPClient",
				              "Indy Library" => "Indy Library",
				              "Infoseek" => "Infoseek",
				              "Netcraft" => "Netcraft Web Server Survey",
					      "NG" => "Exabot",
					      "Mercator" => "Mercator",
					      "momspider" => "MOMspider",
				              "psbot" => "psbot",
				              "ProxyHunter" => "ProxyHunter",
				              "pxys" => "pxys",
				              "sirobot" => "sirobot",
				              "Scrubby" => "Scrubby",
				              "Ultraseek" => "Ultraseek",
				              "WMP" => "WMP",
				              "ZyBorg" => "ZyBorg WiseNutBot",
					       ) 
				     )
);
?>