<?php
/*
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/lib/selectlang.php,v 1.3 2002/12/26 12:53:48 jdurden Exp $
 * 
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or   
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* File: 	selectlang.php
 * Summary: 	Determine the more appropriated language according to
 * 		the browser setting, the selected query, ... by modifying
 * 		$BBC_LANGUAGE
 * Description:
 * Prerequired: conf/config.php
 */

if (!defined("_SELECTLANG"))
{
  define("_SELECTLANG",1);
}
else
{
  return;
}

// The code language table
require("codelang.php");

// Selecting the good language according to 
//  * $lng;
//  * $HTTP_ACCEPT_LANGUAGE
//  * $LANG

global $lng, $BBC_LANGUAGE, $BBC_LANGUAGE_PATH, $HTTP_ACCEPT_LANGUAGE, $LANG;

if (!empty($lang_tab[$lng]))
{
  $BBC_LANGUAGE = $lng;
}
else 
{
  // see if the browser knows the right language through at least one
  // of the autoset variables $HTTP_ACCEPT_LANGUAGE or $LANG  
  $str = $HTTP_ACCEPT_LANGUAGE . $LANG;

  if (!empty($str)) 
    {
      $tab = array($HTTP_ACCEPT_LANGUAGE, $LANG);

      while(list(, $value) = each($tab)) 
	{
	  preg_match("/^([a-zA-Z\-]+);/", $value, $tmp);
	  if(!empty($lang_tab[$tmp[1]]))
	    {
	      $BBC_LANGUAGE = $tmp[1];
	      $lng = $tmp[1];
	      break;
	    }
	}
    }
}

require($BBC_LANGUAGE_PATH . $BBC_LANGUAGE . ".php");

?>
