<?php
/* File:	show_detailed.php
 * Summary:  	Display the detailed stats of bbclone
 * 
 * Description:
 * 
 * License:
 * 
 * This file is part of BBclone (The PHP web counter on steroids)
 *
 * $Header: /cvsroot/bbclone/bbclone/show_global.php,v 1.15 2002/12/26 12:53:48 jdurden Exp $
 * 
 * Copyright (C) 2001-2002, the BBclone Team (see the file AUTHORS 
 * distributed with this library)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or   
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

require("constants.php");
require($BBC_CONFIG_FILE);
require($BBC_LIB_PATH . "selectlang.php");

require($BBC_LOG_PROCESSOR);
require($BBC_LIB_PATH . "os.php");
require($BBC_LIB_PATH . "browser.php");
require($BBC_LIB_PATH . "extension.php");
require($BBC_LIB_PATH . "robot.php");
require($BBC_LIB_PATH . "html.php");
require($BBC_ACCESS_FILE);

// **************
// *  Functions *
// **************

function show_access()
{
  global $_, $access;

  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"2\" align=\"center\">\n";
  $text .= "<b>" . $_["gstat_Accesses"] . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  $text .= "<tr>\n";
  $text .= "<td>\n";
  $text .= $_["gstat_Total_visits"] . "&nbsp;\n";
  $text .= "</td>\n";
  $text .= "<td align=\"left\">\n";
  $text .= $access["stat"]["totalvisits"] . "\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  $text .= "<tr>\n";
  $text .= "<td>\n";
  $text .= $_["gstat_Total_unique"] . "&nbsp;\n";
  $text .= "</td>\n";
  $text .= "<td align=\"left\">\n";
  $text .= $access["stat"]["totalcount"] . "\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  $text .= "<tr>\n";
  $text .= "<td>\n";
  $text .= $_["gstat_New_visits"] . "&nbsp;\n";
  $text .= "</td>\n";
  $text .= "<td align=\"left\">\n";
  $text .= $access["stat"]["newvisits"] . "\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  $text .= "<tr>\n";
  $text .= "<td>\n";
  $text .= $_["gstat_New_unique"] . "&nbsp;\n";
  $text .= "</td>\n";
  $text .= "<td align=\"left\">\n";
  $text .= $access["stat"]["newcount"] . "\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  $text .= "<tr>\n";
  $text .= "<td>\n";
  $text .= $_["gstat_Blacklisted"] . "&nbsp;\n";
  $text .= "</td>\n";
  $text .= "<td align=\"left\">\n";
  $text .= ($access["stat"]["blacklisted"]*1) . "\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  $text .= "</table>\n";

  return $text;
}

function show_os()
{
  global $_, $access, $BBC_IMAGES_PATH, $os;

  $os_tab = $access["stat"]["os"];

  if (!is_array($os_tab))
    {
      $os_tab = array();
    }

  for($os_total = 0; list(,$os_score) = each($os_tab); $os_total += $os_score);
  
  arsort($os_tab);
  reset($os_tab);
  
  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"4\" align=\"center\">\n";
  $text .= "<b>" . $_["gstat_Operating_systems"] . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  
  while ( list($os_type, $os_score) = each($os_tab) )
    {
      $text .= "<tr>\n";
      $text .= "<td>\n";
      $text .= "<img src=\"" . $BBC_IMAGES_PATH . $os[$os_type]["icon"] . "\" alt=\"$os_type\">\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $os[$os_type]["title"] . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $os_score . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= (round(10000 * $os_score / $os_total) / 100) . "%\n";
      $text .= "</td>\n";
      $text .= "</tr>\n";
    }

  $text .= "<tr>\n";

  $text .= "<td>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>" . $_["gstat_Total"] . "</b>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>$os_total</b>\n";
  $text .= "</td>\n";

  $text .= "</tr>\n";
  $text .= "</table>\n";


  return $text;
}

function show_browser()
{
  global $_, $access, $BBC_IMAGES_PATH, $browser;

  $browser_tab = $access["stat"]["browser"];

  if (!is_array($browser_tab))
    {
      $browser_tab = array();
    }

  for($browser_total = 0; list(,$browser_score) = each($browser_tab); $browser_total += $browser_score);

  arsort($browser_tab);
  reset($browser_tab);

  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"4\" align=\"center\">\n";
  $text .= "<b>" . $_["gstat_Browsers"] . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  
  while ( list($browser_type, $browser_score) = each($browser_tab) )
    {
      $text .= "<tr>\n";
      $text .= "<td>\n";
      $text .= "<img src=\"" . $BBC_IMAGES_PATH . $browser[$browser_type]["icon"] . "\" alt=\"$browser_type\">\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $browser[$browser_type]["title"] . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $browser_score . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= (round(10000 * $browser_score / $browser_total) / 100) . "%\n";
      $text .= "</td>\n";
      $text .= "</tr>\n";
    }

  $text .= "<tr>\n";

  $text .= "<td>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>" . $_["gstat_Total"] . "</b>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>$browser_total</b>\n";
  $text .= "</td>\n";

  $text .= "</tr>\n";
  $text .= "</table>\n";


  return $text;
}

function show_extension()
{
  global $_, $access, $BBC_IMAGES_PATH, $BBC_MAXEXTENSION, $extension;

  $ext_tab = $access["stat"]["ext"];

  if (!is_array($ext_tab))
    {
      $ext_tab = array();
    }

  for($ext_total = 0; list(,$ext_score) = each($ext_tab); $ext_total += $ext_score);

  arsort($ext_tab);
  reset($ext_tab);

  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"4\" align=\"center\">\n";
  $text .= "<b> " . sprintf($_["gstat_n_first_extensions"], $BBC_MAXEXTENSION) . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  
  for( $k = 0; ( list($ext, $ext_score) = each($ext_tab) ) && ($k < $BBC_MAXEXTENSION); $k++)
    {
      $text .= "<tr>\n";
      $text .= "<td>\n";
      $text .= "<img src=\"" . $BBC_IMAGES_PATH . "ext_" . $ext . ".png\" alt=\"$ext\">\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $extension[$ext] . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $ext_score . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= (round(10000 * $ext_score / $ext_total) / 100) . "%\n";
      $text .= "</td>\n";
      $text .= "</tr>\n";
    }

  $text .= "<tr>\n";

  $text .= "<td>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>" . $_["gstat_Total"] . "</b>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>$ext_total</b>\n";
  $text .= "</td>\n";

  $text .= "</tr>\n";
  $text .= "</table>\n";


  return $text;
}

function show_robot()
{
  global $_, $access, $BBC_IMAGES_PATH, $robot;

  $robot_tab = $access["stat"]["robot"];

  if (!is_array($robot_tab))
    {
      $robot_tab = array();
    }

  for($robot_total = 0; list(,$robot_score) = each($robot_tab); $robot_total += $robot_score);

  arsort($robot_tab);
  reset($robot_tab);

  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"4\" align=\"center\">\n";
  $text .= "<b>" . $_["gstat_Robots"] . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  
  while ( list($robot_type, $robot_score) = each($robot_tab) )
    {
      $text .= "<tr>\n";
      $text .= "<td>\n";
      $text .= "<img src=\"" . $BBC_IMAGES_PATH . $robot[$robot_type]["icon"] . "\" alt=\"$robot_type\">\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $robot[$robot_type]["title"] . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $robot_score . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= (round(10000 * $robot_score / $robot_total) / 100) . "%\n";
      $text .= "</td>\n";
      $text .= "</tr>\n";
    }

  $text .= "<tr>\n";

  $text .= "<td>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>" . $_["gstat_Total"] . "</b>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>$robot_total</b>\n";
  $text .= "</td>\n";

  $text .= "</tr>\n";
  $text .= "</table>\n";


  return $text;
}

// This is used in the show_top_pages to class page with usort().
function sort_page_count($page_a, $page_b)
{
  if ($page_a["count"] == $page_b["count"]) return 0;
  return ($page_a["count"] > $page_b["count"]) ? -1 : 1;
}

function show_top_pages()
{
  global $_, $access, $BBC_MAXPAGE;

  $page_tab = $access["page"];

  if (!is_array($page_tab))
    {
      $page_tab = array();
    }

  for($page_total = 0; list(,$page_elem) = each($page_tab); $page_total += $page_elem["count"]);

  uasort($page_tab, "sort_page_count");
  reset($page_tab);

  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"3\" align=\"center\">\n";
  $text .= "<b>" . sprintf($_["gstat_n_first_pages"],$BBC_MAXPAGE) . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  
  for( $k = 0; (list($page_name, $page_elem) = each($page_tab)) && ($k < $BBC_MAXPAGE); $k++ )
    {
      $page_name = ereg_replace("http://[a-zA-Z\.]*","",$page_name);
      $page_name = ((empty($page_name)) || ($page_name == "/")) ? "Main" : $page_name;
      $text .= "<tr>\n";

      $text .= "<td>\n";
      $text .= "<a href=\"".$page_elem["uri"]."\">$page_name</a>&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $page_elem["count"] . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= (round(10000 * $page_elem["count"] / $page_total) / 100) . "%\n";
      $text .= "</td>\n";
      $text .= "</tr>\n";
    }

  $text .= "<tr>\n";

  $text .= "<td>\n";
  $text .= "<b>" . $_["gstat_Total"] . "</b>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>$page_total</b>\n";
  $text .= "</td>\n";

  $text .= "</tr>\n";
  $text .= "</table>\n";


  return $text;
}

function show_top_origins()
{
  global $_, $access, $BBC_MAXORIGIN;

  $referer_tab = $access["referer"];

  if (!is_array($referer_tab))
    {
      $referer_tab = array();
    }

  for($referer_total = 0; list(,$referer_score) = each($referer_tab); $referer_total += $referer_score);

  arsort($referer_tab);
  reset($referer_tab);

  $text  = "<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\">\n";
  $text .= "<tr>\n";
  $text .= "<td colspan=\"3\" align=\"center\">\n";
  $text .= "<b>" . sprintf($_["gstat_n_first_origins"],$BBC_MAXORIGIN) . "</b>\n";
  $text .= "</td>\n";
  $text .= "</tr>\n";

  
  for( $k = 0; ($k < $BBC_MAXORIGIN) && 
	 (list($referer_name, $referer_score) = each($referer_tab) ); $k++)
    {
      $text .= "<tr>\n";
      $text .= "<td>\n";
      if ($referer_name == "not_specified")
	{
	  $text .= "<i>" .  $_["gstat_Not_specified"] . "&nbsp;</i>\n";
	}
      else
	{
	  ereg("^([a-zA-Z0-9\.\_\-]+)",$referer_name,$regs);
	  $light_referer_name = $regs[1];
	  $text .= "<a href=\"http://$referer_name\">$light_referer_name</a>&nbsp;\n";
	}


      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= $referer_score . "&nbsp;\n";
      $text .= "</td>\n";

      $text .= "<td>\n";
      $text .= (round(10000 * $referer_score / $referer_total) / 100) . "%\n";
      $text .= "</td>\n";
      $text .= "</tr>\n";
    }

  $text .= "<tr>\n";

  $text .= "<td>\n";
  $text .= "<b>" . $_["gstat_Total"] . "</b>\n";
  $text .= "</td>\n";

  $text .= "<td>\n";
  $text .= "<b>$referer_total</b>\n";
  $text .= "</td>\n";

  $text .= "</tr>\n";
  $text .= "</table>\n";


  return $text;
}

// **************
// *    MAIN    *
// **************

$start_time = microtime();
$nb_new_access = log_processor();
$process_time = round((microtime() - $start_time)*100)/100;

echo bbc_html_document_begin();
echo bbc_navbar();
echo bbc_titlebar();

echo "<div align=\"$BBC_GENERAL_ALIGN_STYLE\">\n";
echo "<table border=\"0\" cellpadding=\"20\" cellspacing=\"0\">\n";
echo "<tr>\n";

echo "<td valign=\"top\">\n";
echo show_access();
echo "</td>\n";

echo "<td valign=\"top\">\n";
echo show_os();
echo "</td>\n";

echo "<td valign=\"top\">\n";
echo show_browser();
echo "</td>\n";

echo "<td valign=\"top\">\n";
echo show_extension();
echo "</td>\n";

echo "</tr>\n";
echo "</table>\n";

echo "<table border=\"0\" cellpadding=\"20\" cellspacing=\"0\">\n";
echo "<tr>\n";

echo "<td valign=\"top\">\n";
echo show_robot();
echo "</td>\n";

echo "<td valign=\"top\">\n";
echo show_top_pages();
echo "</td>\n";

echo "<td valign=\"top\">\n";
echo show_top_origins();
echo "</td>\n";

echo "</tr>\n";

echo "</table>\n";
echo "</div>\n";

echo bbc_copyright();
echo "<br>\n";
echo bbc_navbar(1);

echo bbc_html_document_end();
?>
